
Ryzom - Bug # 1074

Status: Closed Priority: Low
Author: molator Category: Tools: General
Created: 08/18/2010 Assignee: kervala
Updated: 09/10/2010 Due date:
Subject: sheets_packer using default static relative paths
Description

If i run sheets_packer from code/ryzom/tools/sheets_packer, the .packed_sheets are properly generated in code/ryzom/client/data.
If i run it from elsewhere, the files aren't generated.

sheets_packer is using default static relative paths define in nelmisc instead of using the config file.

History
#1 - 08/18/2010 03:16 pm - molator

I'm using the same config file in both case.

#2 - 08/18/2010 03:21 pm - molator

I messed, with the decription.
sheets_packer is using default static relative paths.

#3 - 08/18/2010 03:22 pm - kervala
- Subject changed from sheets_packer using default static absolute paths to sheets_packer using default static relative paths

#4 - 08/18/2010 03:23 pm - kervala

It seems like 3-4 paths are hardcoded.

We should reuse some existing variables and/or add some others.

#5 - 08/26/2010 09:56 am - kervala
- Category set to Tools: General
- Status changed from New to Assigned
- Assignee set to kervala

#6 - 08/26/2010 07:33 pm - kervala
- Target version set to Version 0.8.0

#7 - 08/27/2010 03:46 pm - molator
- File sheets_packer.log added

I compared the logs using sheets_packer from the source folder and from another folder.

For each sheets, i'm getting 2 more lines.
2010/08/27 15:36:07 INF  a88 sheets_packer_r.exe common.cpp 541 NLMISC::Exception::Exception : Exception will be launched: File
'../../client/data/creature.packed_sheets' not opened

2010/08/27 15:36:07 INF  a88 sheets_packer_r.exe load_form.h 461 loadForm : loadForm(): Exception during saving the packed file, it will be
recreated next launch (File '../../client/data/creature.packed_sheets' not opened)

And the log end with:

2010/08/27 15:36:11 sheets_packer_r.exe ERR   a88 continent_manager_build.cpp 82 : World sheet not found or bad type

The issue is not solved with r654.

I join the log i'm getting, running sheets_packer from another folder.

#8 - 08/28/2010 01:30 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

#9 - 08/28/2010 10:03 pm - molator

Working fine for me on the last revision.
Good job, Kervala.

#10 - 09/10/2010 10:44 am - kervala
- Status changed from Resolved to Closed

Files
sheets_packer.log 81.9 kB 08/27/2010 molator
